CVE-2019-2698

Impact:
Important
Public Date:
2019-04-16
CWE:
CWE-787
Bugzilla:
1700447: CVE-2019-2698 OpenJDK: Font layout engine out of bounds access setCurrGlyphID() (2D, 8219022)

The MITRE CVE dictionary describes this issue as:

Vulnerability in the Java SE component of Oracle Java SE (subcomponent: 2D). Supported versions that are affected are Java SE: 7u211 and 8u202. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Java SE. Successful attacks of this vulnerability can result in takeover of Java SE. Note: This vulnerability applies to Java deployments, typically in clients running sandboxed Java Web Start applications or sandboxed Java applets (in Java SE 8), that load and run untrusted code (e.g., code that comes from the internet) and rely on the Java sandbox for security. This vulnerability does not apply to Java deployments, typically in servers, that load and run only trusted code (e.g., code installed by an administrator). CVSS 3.0 Base Score 8.1 (Confidentiality, Integrity and Availability impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H).

Find out more about CVE-2019-2698 from the MITRE CVE dictionary dictionary and NIST NVD.

CVSS v3 metrics

CVSS3 Base Score 7.5
CVSS3 Base Metrics CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H
Attack Vector Network
Attack Complexity High
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality High
Integrity Impact High
Availability Impact High

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 6 (java-1.7.0-openjdk) RHSA-2019:0790 2019-04-22
Red Hat Enterprise Linux 6 (java-1.8.0-openjdk) RHSA-2019:0774 2019-04-17
Red Hat Enterprise Linux 7 (java-1.8.0-openjdk) RHSA-2019:0775 2019-04-17
Red Hat Enterprise Linux 8 (java-1.8.0-ibm) RHSA-2019:1238 2019-05-16
Red Hat Enterprise Linux Supplementary (v. 6) (java-1.7.1-ibm) RHSA-2019:1165 2019-05-13
Red Hat Satellite 5.8 (RHEL v.6) (java-1.8.0-ibm) RHSA-2019:1325 2019-06-04
Red Hat Enterprise Linux 8 (java-1.8.0-openjdk) RHSA-2019:1146 2019-05-13
Red Hat Enterprise Linux Supplementary (v. 7) (java-1.8.0-ibm) RHSA-2019:1164 2019-05-13
Red Hat Enterprise Linux 7 (java-1.7.0-openjdk) RHSA-2019:0791 2019-04-22
Red Hat Enterprise Linux Supplementary (v. 7) (java-1.7.1-ibm) RHSA-2019:1166 2019-05-13
Red Hat Enterprise Linux Supplementary (v. 6) (java-1.8.0-ibm) RHSA-2019:1163 2019-05-13

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 8 java-11-openjdk Not affected
Red Hat Enterprise Linux 7 java-11-openjdk Not affected
Last Modified

CVE description copyright © 2017, The MITRE Corporation